<?php

  include '../../system/core.php';

  if(!$user['id']){
  header('Location: /index.php'); exit;
  }


  switch($_GET['m']){
  
  #Главная
  default:
  
  $_title = 'Личный кабинет';
  include '../../system/header.php';
  
  echo '<div class="tegi"><font color="white">Меню</font></div>';

 
  echo '<a href="/us'.$user['id'].'"><div class="men"><img src="/img/anketa.png" wight="20" height="20"/> Анкета</div></a>'; 
  
  echo '<a href="/bl"><div class="men"><img src="/img/money.png" wight="20" height="20"/> Услуги</div></a>'; 
  
  
  
  

  $c = mysql_result(mysql_query('select count(`id`) from `privat` where `ho` = "'.$user['id'].'" and `read` = "0"'),0);
  echo '<a href="/privat"><div class="men"><img src="/img/mail.png" wight="20" height="20"/> Почта';
  if($c != 0) echo ' (+'.$c.')';
  echo '</div></a>';

  $c = mysql_result(mysql_query('select count(`id`) from `op` where `who` = "'.$user['id'].'" and `read` = "0"'),0);
 echo '<div class="menu">'; 
  echo '<a href="/op"><div class="men"><img src="/img/op.png" wight="20" height="20"/> Оповещения';
  if($c != 0) echo ' (+'.$c.')';
  echo '</div></a>';

  echo '<a href="news/"><div class="men"><img src="/img/news.png" wight="20" height="20"/> Новости</div></a>';
  echo '<a href="/cab?m=log"><div class="men"><img src="/img/logi.png" wight="20" height="20"/> Логи авторизаций</div></a>';
  echo '
  <a href="?m=anketa"><div class="men"><img src="/img/edit.png" wight="20" height="20"/> Личные данные</div></a>
  <a href="?m=ava"><div class="men"><img src="/img/ava.png" wight="20" height="20"/> Аватар</div></a>
 <a href="?m=password"><div class="men"> <img src="/img/thema_zak.png" wight="20" height="20"/> Смена пароля</div></a>
  <a href="?m=settings"><div class="men"><img src="/img/setting.png" wight="20" height="20"/> Дополнительные настройки</div></a>

  
  <a href="/cab?m=statmy"><div class="men"> <img src="/img/stat.png" wight="20" height="20"/> Статистика моя</div></a>
 <a href="/cab?m=statob"> <div class="men"><img src="/img/stat.png" wight="20" height="20"/> Общая статистика</div></a>';
  function privet()  
    {  
       $h = date(H); // определяем какой сейчас час  
       // от 5-и до 11-и утра, return возвращает Доброе утро  
       if ($h>=5 && $h<=11)  return "Доброе утро. ";  
       // от 12-и до 16-и Здравствуйте  
       if ($h>=12 && $h<=16) return "Здравствуйте. ";  
       // от 17-и до 24-х часов Добрый вечер  
       if ($h>=17 && $h<=24) return "Добрый вечер. ";   
       // от 0 до 4-х утра Доброй ночи.  
       if ($h>=0 && $h<=4)   return "Доброй ночи.  ";   
    }  

     echo '<div class="tegi">Последний визит</div><div class="post2">';
       echo privet();  
  
 $log = mysql_query("SELECT * FROM `logs` where `who` = '".$user['login']."' ORDER BY `time` DESC LIMIT 1");
  
  while($log2 = mysql_fetch_array($log))
          {
  echo 'Последний раз вы заходили <font color="red">'.times($log2['time']).'</font> с браузера <font color="green">'.$log2['ua'].'</font></br> IP: '.$log2['ip'].' ';
}
echo '</div>';
  break;
  case 'ava':

  $_title = 'Аватар';
  include '../../system/header.php';

    echo '<div class="tegi"><b>Кабинет | Аватар</b></div></div>';
  /////////////////////////////////////////////////		 

  if(isset($_POST['submit'])){

  if(!@file_exists($_FILES['filename']['tmp_name'])) $err[] = 'Вы не выбрали файл!';
  if($_FILES['filename']['size'] != 0 and $_FILES['filename']['size'] > 1024000) $err[] = 'Слишком большой файл...';
  
  $filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp' );
  $upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], "." )+1);  
  
  if(!in_array($upfiletype,$filetype)) $err[] = 'Вы пытаетесь загрузить недопустимый формат файла...';

  if(!$err){

  if(!empty($user['ava'])){
  unlink('ava/'.$user['ava'].'');
  }

  $fn = "".$user['id'].".jpg";
  move_uploaded_file($_FILES['filename']['tmp_name'], "ava/".$fn."");
  mysql_query("UPDATE `user` SET `ava`='".$fn."' WHERE `id`='".$user['id']."' limit 1");
  
  header('Location: /cab?m=ava'); exit;
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }

  echo '<div class="post2"><img src="/modules/profile/';
  
  if(empty($user['ava'])) echo 'images/noava.png'; else echo 'ava/'.$user['ava'];

  echo '" style="max-width:150px;"/><br>';
  
  if(isset($_GET['del']) && !empty($user['ava'])){
  unlink('ava/'.$user['ava'].'');
  mysql_query("UPDATE `user` SET `ava`='' WHERE `id`='".$user['id']."' limit 1");

  header('Location: /cab?m=ava'); exit;
  }
  
  if(!empty($user['ava'])) echo '<img src="/modules/profile/images/stop_2.png"/> <a href="/cab?m=ava&amp;del">Удалить</a>';
  
  echo '</div><div class="post2">
  <form action="" method="post" enctype="multipart/form-data">
  Файл:<br><input type="file" name="filename"/><br>  
  <input type="submit" value="Загрузить" name="submit"/>
  </form></div>';
  
  break;
  ///////////////////////////////////////////////////////////////////////////////////////////////////
  case 'statmy';
  $_title = 'Личная статистика';
  include '../../system/header.php';
 
    echo '</div><div class="tegi"><b>Кабинет | Личная статистика</b></div></div>';
  
  echo '<div class="post1"><center><b>Форум</b></center>Количество постов: <b>'.mysql_result(mysql_query('select count(`id`) from `forum_m` where `author` = "'.$user['id'].'"'),0).'</b>';
  echo '<br>Количество постов за день: <b>'.mysql_result(mysql_query('select count(`id`) from `forum_m` where `author` = "'.$user['id'].'" and `time` > "'.(time()-((60*60)*24)).'"'),0).'</b>';
  echo '<br>Количество новых тем: <b>'.mysql_result(mysql_query('select count(`id`) from `forum_t` where `author` = "'.$user['id'].'"'),0).'</b>';
  echo '<br>Количество новых тем за день: <b>'.mysql_result(mysql_query('select count(`id`) from `forum_t` where `author` = "'.$user['id'].'" and `time` > "'.(time()-((60*60)*24)).'"'),0).'</b></div>';
  
  echo '<div class="post2"><center><b>Загруз-центр</b></center>Количество файлов: <b>'.mysql_result(mysql_query('select count(`id`) from `zc_f` where `author` = "'.$user['id'].'"'),0).'</b>';
  echo '<br>Количество файлов за день: <b>'.mysql_result(mysql_query('select count(`id`) from `zc_f` where `author` = "'.$user['id'].'" and `time` > "'.(time()-((60*60)*24)).'"'),0).'</b></div>';
  

  break;
  
  //////
    case 'statob';
  $_title = 'Общая статистика';
  include '../../system/header.php';
   echo '<div class="tegi"><b>Кабинет | Общая статистика</b></div></div>';
 
 echo '<div class="post1">Количество постов на форуме: ('.mysql_result(mysql_query('select count(`id`) from `forum_m`'),0).')</div>';
 echo '<div class="post2">Количество новых постов на форуме: ('.mysql_result(mysql_query('select count(`id`) from `forum_m` where `time` > "'.(time()-((60*60)*24)).'"'),0).')</div>';
 echo '<div class="post1">Количество тем на форуме: ('.mysql_result(mysql_query('select count(`id`) from `forum_t`'),0).')</div>';
 echo '<div class="post2">Количество новых тем на форуме: ('.mysql_result(mysql_query('select count(`id`) from `forum_t` where `time` > "'.(time()-((60*60)*24)).'"'),0).')</div>';
 echo '<div class="post1">Количество файлов в зц: ('.mysql_result(mysql_query('select count(`id`) from `zc_f` where `status` = "0"'),0).$files_new.')</div>';
 echo '<div class="post2">Количество зарегистрированных пользователей: ('.mysql_result(mysql_query("SELECT COUNT(`id`) FROM `user`"), 0).')</div>';
 echo '<div class="post1">Количество человек в списке мошенников: ('.mysql_result(mysql_query('select count(`id`) from `ced`'),0).')</div>';
 echo '<div class="post2">Сейчас онлайн на сайте: ('.mysql_result(mysql_query("SELECT COUNT(`id`) FROM `user` WHERE `online`>'".(time()-180)."'"), 0).')</div>'; 
  

  break;
  ////////////////////////////////////////////////////////////////////////////////////////////////////
  
  case 'anketa':
  $_title = 'Личные данные';
  include '../../system/header.php';


  echo '<div class="tegi"><b>Кабинет | Личные данные</b></div>';
   /////////////////////////////////////////////////		 

  if(isset($_POST['submit'])){

  $name = TextGuard($_POST['name']);
  $country = TextGuard($_POST['country']);
  $city = TextGuard($_POST['city']);
  $day = TextGuard($_POST['day']);
  if(!empty($day)) if(!is_numeric($day) or $day > 31 or $day <= 0) $err[] = 'Ошибка ввода дня даты рождения...';
  $m = TextGuard($_POST['m']);
  if(!empty($m)) if(!is_numeric($m) or $m > 12 or $m <= 0) $err[] = 'Ошибка ввода месяца даты рождения...';
  $birthday = TextGuard($_POST['birthday']);
  if(!empty($birthday)) if(!is_numeric($birthday) or $birthday > 2020 or $birthday <= 0) $err[] = 'Ошибка ввода года даты рождения...';
  $about = TextGuard($_POST['about']);
  $icq = TextGuard($_POST['icq']);
  
  if(!$err){


  mysql_query("UPDATE `user` SET `name`='".$name."',`country`='".$country."',`city`='".$city."',`about`='".$about."',`icq`='".$icq."',`birthday`='".$birthday."',`day`='".$day."',`m`='".$m."' WHERE `id`='".$user['id']."' limit 1");
  
  echo '<div class="msg"><img src="/modules/profile/images/clean.png"/> <b>Профиль успешно сохранен!</b></div>';
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }
  
  echo '
  <div class="post1">
  <form action="" method="post">
  Имя:<br><input name="name" value="'.$user['name'].'"/><br>
  Дата рождения:<br>';
  
  $birthday = explode('.',$user['birthday']);
  $day = explode('.',$user['day']);
  $m = explode('.',$user['m']);
  
  echo '
  <input name="day" size="2" value="'.$day[0].'"/>.<input name="m" size="2" value="'.$m[0].'"/>.<input name="birthday" size="4" value="'.$birthday[0].'"/><br>
  Страна:<br><input name="country" value="'.$user['country'].'"/><br>
  Город:<br><input name="city" value="'.$user['city'].'"/><br>
  О себе:<br><textarea name="about" style="width:98%;"  rows="3">'.$user['about'].'</textarea><br>
  ICQ:<br><input name="icq" value="'.$user['icq'].'"/><br>
  <input type="submit" value="Сохранить" name="submit"/>
  </form></div>
  ';
  
  break;
  case 'password':
  $_title = 'Смена пароля';
  include '../../system/header.php';


 echo '<div class="tegi"><b>Кабинет |Смена пароля</b></div></div>';

  include '../../system/nvg.php';
  if(isset($_POST['submit'])){

  $old = TextGuard($_POST['old']);
  if(empty($old) or $old != $user['password']) $err[] = 'Неверный старый пароль...';

  $slovo = TextGuard($_POST['slovo']);
  if(empty($slovo) or $slovo != $user['secret_word']) $err[] = 'Неверное секретное слово...';

  $new = TextGuard($_POST['new']);
  
  if(!$err){

  mysql_query("UPDATE `user` SET `password`='".$new."' WHERE `id`='".$user['id']."' limit 1");
  
  setcookie('upassword', $new, time()+86400*365, '/');
  echo '<div class="pet"><img src="/modules/profile/images/clean.png"/><b> Новый пароль успешно установлен!</b></div>';
  
  }else{
  echo '<div class="err"><b>';
  foreach($err as $err_info){
  echo $err_info.'<br>';
  }
  echo '</b></div>';
  }
  }
  
  echo '
  <div class="post1">
  <form action="" method="post">
  Старый пароль:<br><input name="old" type="password"/><br>
  Секретное слово:<br><input name="slovo" type="password"/><br>
  Новый пароль:<br><input name="new" type="password"/></div><div class="lst">
  <input type="submit" value="Сменить" name="submit"/>
  </form></div>
  ';
  ///дизайны и логи проверены на баги
  break;
  case 'log':
  $_title = 'Логи авторизаций';
  include '../../system/header.php';
 echo '<div class="tegi"><b>Кабинет | Логи авторизаций</b></div>';
  /////////////////////////////////////////////////		 

  
  $cop = 10;
  $ca = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs` where `who` = '".$user['login']."'"),0);
  $cp = ceil($ca/$cop);
  if(isset($_GET['p']) && is_numeric($_GET['p'])){
  $p = $_GET['p'];
  if($_GET['p']>$cp) $p = $cp;
  if($_GET['p']<1)$p = 1;
  }else{
  $p = 1;
  }
  $start = $p*$cop-$cop;
  $log = mysql_query("SELECT * FROM `logs` where `who` = '".$user['login']."' ORDER BY `time` DESC LIMIT $start,$cop");
  
  while($log2 = mysql_fetch_array($log))
          {
  echo '<div class="post1">IP: '.$log2['ip'].' ; Софт: '.$log2['ua'].'</br>';
  if($log2['vh'] == 1){ echo '<font color="green"><b>Лог удачен!</b></font>';
  }else{
  echo '<font color="red"><b>Лог провален!</b></font>';}
  echo '</br>Время записи лога: '.times($log2['time']).'</div>';
  }
  
  echo '<div class="levo">Стр. ';
  if($p-2>0) echo '<a href="/cab?m=log&p=1"><<</a> ';
  if($p-1>0) echo '<a href="/cab?m=log&p='.($p-1).'"><</a> ';

  if($p-3>0) echo '<a href="/cab?m=log&p='.($p-3).'">'.($p-3).'</a> | ';
  if($p-2>0) echo '<a href="/cab?m=log&p='.($p-2).'">'.($p-2).'</a> | ';  
  if($p-1>0) echo '<a href="/cab?m=log&p='.($p-1).'">'.($p-1).'</a> | ';
  
  echo '<b>'.$p.'</b>';
  if($p+1<=$cp) echo ' | <a href="/cab?m=log&p='.($p+1).'">'.($p+1).'</a>';
  if($p+2<=$cp) echo ' | <a href="/cab?m=log&p='.($p+2).'">'.($p+2).'</a>';
  if($p+3<=$cp) echo ' | <a href="/cab?m=log&p='.($p+3).'">'.($p+3).'</a>';

  if($p+1<=$cp) echo ' <a href="/cab?m=log&p='.($p+1).'">></a>';
  if($p+2<=$cp) echo ' <a href="/cab?m=log&p='.ceil($ca/$cop).'">>></a>';
 
  echo '</div>';
  
  break;
  
  case 'faq':
  $_title = 'FAQ';
  include '../../system/header.php';


  switch($_GET['i']){
  default:
 echo '<div class="tegi"><b>Кабинет | Информация </b></div></div>';
 
  include '../../system/nvg.php';
  echo '<div class="post1"><a href="/cab?m=faq&amp;i=on">Время онлайн (анкета)</a></div>
  <div class="post2"><a href="/cab?m=faq&amp;i=levels">Уровни (анкета)</a></div>
  <div class="post1"><a href="/cab?m=faq&amp;i=id">ID (анкета)</a></div>
  <div class="post2"><a href="/cab?m=faq&amp;i=ignor">Игнор</a></div>
  <div class="post1"><a href="/cab?m=faq&amp;i=status">Статус</a></div>
  <div class="post2"><a href="/cab?m=faq&amp;i=medals">Награды</a></div>
  <div class="post1"><a href="/cab?m=faq&amp;i=pord">Подписчики</a></div>
  <div class="post2"><a href="/cab?m=faq&amp;i=reit">Рейтинг</a></div>
  <div class="post1"><a href="/cab?m=faq&amp;i=rulls">Общие правила</a></div>
  ';
  break;
  }
  break;
  case 'settings':
  $_title = 'Настройки';
  include '../../system/header.php';
 echo '<div class="tegi"><b>Кабинет | Настройки </b></div></div>';

  
  
  if(isset($_POST['submit'])){
  $on_page = TextGuard($_POST['on_page']);
  if(empty($on_page) or !is_numeric($on_page) or $on_page < 0 or $on_page > 100)
  { header('Location: /cab?m=settings'); exit; }
  mysql_query("UPDATE `user` SET `on_page`='".$on_page."' WHERE `id`='".$user['id']."' limit 1");
  header('Location: /cab?m=settings'); exit;
  }
  
  echo '<div class="post1">
  <form action="" method="post">Пунктов на странице:<br><input name="on_page" value="'.$user['on_page'].'"/> <input type="submit" value="Сохранить" name="submit"/></form>
  </div>';
  
  if(isset($_GET['file'])){
  if($user['file'] == 0) $file = 1; else $file = 0;
  mysql_query("UPDATE `user` SET `file`='".$file."' WHERE `id`='".$user['id']."' limit 1");
  header('Location: /cab?m=settings'); exit;
  }  

  ///if(isset($_GET['op'])){
  ///if($user['op'] == 0) $op = 1; else $op = 0;
  ///mysql_query("UPDATE `user` SET `op`='".$op."' WHERE `id`='".$user['id']."' limit 1");
  ///header('Location: /cab?m=settings'); exit;
  ///}

  echo '<div class="post2"><a href="/cab?m=settings&amp;file">';
  if($user['file'] == 0) echo 'Включить'; else echo 'Выключить';
  echo '</a> добавление файлов</div>';
  ///<div class="mist"><a href="/cab?m=settings&amp;op">';
  ///if($user['op'] == 0) echo 'Включить'; else echo 'Выключить';
  ///echo '</a> обычные оповещения</div>';

  break;
  }

  include '../../system/footer.php';

?>
   